/**
 * 工单管理
 * */
var detailOrderNum = ''; //获取工单详情的工单ID
$(document).ready(function() {
	//初始化时间
	laydate.render({
		elem: '#sc_time',
		range: '~',
		theme: '#1ab394',
		calendar: true
	});
	//获取工单来源
	helper.getDropList.getlistDropByDic($('#sc_source'), 'GDLY');
	//获取工单类型
	helper.getDropList.getlistDropByDic($('#sc_type'), 'GDLX');
	//获取业务办理
	helper.getDropList.getlistDropByDic($('#sc_handle'), 'YWLX');
	//获取工单子类
	helper.getDropList.getlistDropByDic($('#order_gdzl'), 'GSZL');
	initTable();
	$("#sc_btns").click(function() {
		initTable();
		$(".Closed").trigger('click');
	});
});
//工单管理内的列表
function initTable() {
	var orderMenu = top.$("iframe:visible")[0].src.split('/WorkOrder/')[1];
	// console.log(orderMenu);
	//工单状态(0待指派 1待接单的 2待完成的(待处理) 3已完成的 4我参与的 5超期工单)
	var ltype = ''; //否	string	工单状态
	var isaudit = '-1'; //微信列表（0未审核微信列表，1已审核微信列表,-1是所有）
	switch(orderMenu) {
		case "WorkOrderAppoint.html": //待指派
			ltype = '0';
			isaudit = '1';
			break;
		case "WorkOrderReceive.html": //待接单
			ltype = '1';
			isaudit = '1';
			break;
		case "WorkOrderDispose.html": //待处理
			ltype = '2';
			isaudit = '1';
			break;
		case "WorkOrderParty.html": //已处理
			ltype = '3';
			isaudit = '1';
			break;
		case "WorkOrderPartake.html": //已参与
			ltype = '4';
			isaudit = '1';
			break;
		case "WorkOrderOverdue.html": //超期
			ltype = '5';
			isaudit = '1';
			break;
		case "WorkOrderAssigned.html": //已指派工单
			ltype = '6';
			isaudit = '1';
			break;
		case "WorkOrderAwaitVist.html": //待回访工单
			ltype = '7';
			isaudit = '1';
			break;
		case "WorkOrderBeen.html": //已回访工单
			ltype = '8';
			isaudit = '1';
			break;
		case "WorkOrderWchartList.html": //微信工单
			isaudit = '0';
			break;
		case "WorkOrderExpedite.html": //工单催办
			initTableExpedite();
			return;
			break;
		default:
			break;
	}
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrder/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				keyword: $('#sc_key').val(), //string 关键字：可输入客户姓名,电话,工单号，反馈内容
				ltype: ltype ,//string 状态列表："0"://待指派的、"1"://待接单的、"2"://待完成的(待处理)、"3"://已完成的、"4"://我参与的、"5"://超期工单
				isaudit: isaudit,//int 微信列表（0未审核微信列表，1已审核微信列表）
				states: $('#sc_state').val(),//int 工单状态
				source: $('#sc_source').val(),//int 工单来源
				type: $('#sc_type').val(),//int 工单类型
				typeclass: $('#sc_handle').val(),// int 业务类型
				ctype:$('#order_gdzl').val(),
				dept:$('#order_transfer_dept').attr("data-id"),
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0],//string 工单开始时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1],//string  工单结束时间
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton(); //获取 userRoleCode 判断按钮权限
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//工单催办
function initTableExpedite() {
	//先销毁表格
	$('#workorderlist').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#workorderlist").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrder/GetNotDoneWorkList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 5, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [5, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				keyword: $('#sc_key').val(), //否	string	模糊搜索（客户姓名,电话,房间号,工单号）
				type: $('#sc_source').val(), //否	string	工单来源
				typeclass: $('#sc_type').val(), //否	string	工单类型
				starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				areaid: $('#sc_rengin').val(), //否	string	区域id
				regionid: $('#sc_pro').val(), //否	string	项目id
				buldingid: $('#sc_floor').val(), //否	string	期号id
				isaudit: '1', //微信列表（0未审核微信列表，1已审核微信列表,-1所有）
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton(); //获取 userRoleCode 判断按钮权限
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取 userRoleCode 判断按钮权限
function authorizeOperateButton() {
	var userRoleCode = $.cookie("userRoleCode");
	// userRoleCode = "";//测试数据
	//所有人均有创建和查询的功能，XTGLY-系统维护、CJGLY-超级管理员拥有所有权限
//	$('.tool_downs').find('[authorize=yes]').hide();
	$('#workorderlist').find('.workOprate').hide();
	switch(userRoleCode) {
		case "XTGLY": // 系统维护
		case "CJGLY": // 超级管理员
			$('.tool_downs').find('[authorize=yes]').show();
			$('#workorderlist').find('.workOprate').show();
			break;
		case "JDYPTZX": // 普通坐席 派单(分配)、处理、接单、删除、催办
		case "JDYBZZX": // 坐席班长 派单(分配)、处理、接单、删除、催办
				$('.tool_downs').find('[id*="HY_transfer"]').show();
				$('.tool_downs').find('[id*="HY_end"]').show();
				$('.tool_downs').find('[id*="HY_receive"]').show();
				$('.tool_downs').find('[id*="HY_delete"]').show();
				$('.tool_downs').find('[id*="HY_remind"]').show();
				$('#workorderlist').find('.workOprate1').show(); //待指派
				$('#workorderlist').find('.workOprate2').show(); //待处理
				$('#workorderlist').find('.workOprate6').show(); //待接单
				$('#workorderlist').find('.workOprate3').show(); //工单催办
				$('#workorderlist').find('.workOprate4').show(); //超期工单
			break;
		case "JG": // JG-监管 退回/接单、分配、处理、催办
				$('.tool_downs').find('[id*="HY_back"]').show();
				$('.tool_downs').find('[id*="HY_receive"]').show();
				$('.tool_downs').find('[id*="HY_transfer"]').show();
				$('.tool_downs').find('[id*="HY_end"]').show();
				$('.tool_downs').find('[id*="HY_remind"]').show();
				$('#workorderlist').find('.workOprate6').show(); //待接单
				// $('#workorderlist').find('.workOprate1').show(); //待指派
				$('#workorderlist').find('.workOprate2').show(); //待处理
				$('#workorderlist').find('.workOprate3').show(); //工单催办
				$('#workorderlist').find('.workOprate4').show(); //超期工单
			break;
		case "BLRY":	//BLRY-办理人员 退回/接单、处理 异常退回
				$('.tool_downs').find('[id*="HY_back"]').show();
				$('.tool_downs').find('[id*="HY_receive"]').show();
				$('.tool_downs').find('[id*="HY_end"]').show();
				$('.tool_downs').find('[id*="HY_abnormal_back"]').show();
				$('#workorderlist').find('.workOprate6').show(); //待接单
				$('#workorderlist').find('.workOprate2').show(); //待处理
			break;
// 		case "1": //接待部(400接待员) （创建、分配、处理、修改、催办 、评论、审核微信工单 ，删除）
// 
// 			$('.tool_downs').find('[id*="HY_edit"]').show();
// 			$('.tool_downs').find('[id*="HY_remind"]').show();
// 			$('.tool_downs').find('[id*="HY_comment"]').show();
// 			$('.tool_downs').find('[id*="HY_auditor"]').show();
// 
// 			$('#workorderlist').find('.workOprate5').show(); //已处理
// 			$('#workorderlist').find('.workOprate7').show(); //综合查询
// 			$('#workorderlist').find('.workOprate8').show(); //微信工单
// 			break;
		default:
			break;
	}

}

//格式化操作（综合查询）
function formatterOprate(val, row) {
	//工单状态0待指派，1待处理，2已处理
	// 0新工单待指派，1已指派待接单，2已接单待处理，3已退回待处理，4处理中，5已完结
	if(row.State === 2) {
		return '<ul class="tool_downs">' +
			'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
			'</ul>';
	} else {
		return '<ul class="tool_downs">' +
			'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.ID + '\')" title="修改">修改</a></li>' +
			'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(' + val + ')" title="删除">删除</a></li>' +
			'</ul>';
	}
}

//格式化操作 （待指派）
function formatterOprateDeal(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.ID + '\')" title="修改">修改</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_transfer_' + row.ID + '" onclick="btn_transfer(\'' + row.ID + '\', false, \''+ row.IsAdminSend +'\')" title="分配">分配</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_end_' + row.ID + '" onclick="btn_end(\'' + row.ID + '\', false)" title="处理">处理</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		'</ul>';
}

//格式化操作 （待接单）
function formatterOprateReceive(val, row) {
	// alert(JSON.stringify(row));
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_receive_' + row.ID + '" onclick="btn_receive(\'' + row.ID + '\')" title="接单">接单</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_back_' + row.ID + '" onclick="btn_back(\'' + row.ID + '\')" title="退回">退回</a></li>' +
		'</ul>';
}

//格式化操作 （已指派）
function formatterYizpai(val, row) {
	// alert(JSON.stringify(row));
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_back_' + row.ID + '" onclick="btn_back(\'' + row.ID + '\')" title="退回">退回</a></li>' +
		'</ul>';
}

//格式化操作 （微信工单  审核）
function formatterOprateWchart(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_auditor_' + row.ID + '" onclick="btn_auditor(\'' + val + '\')" title="审核">审核</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		'</ul>';
}

//格式化操作 （待处理）
function formatterOprateDispose(val, row) {
	return '<ul class="tool_downs">' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_transfer_' + row.ID + '" onclick="btn_transfer(\'' + row.ID + '\', false, \''+ row.IsAdminSend +'\')" title="分配">分配</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_end_' + row.ID + '" onclick="btn_end(\'' + row.ID + '\', false)" title="处理">处理</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_abnormal_back_' + row.ID + '" onclick="btn_abnormal_back(\'' + row.ID + '\')" title="异常退回">异常退回</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_back_' + row.ID + '" onclick="btn_back(\'' + row.ID + '\')" title="退回">退回</a></li>' +
		'</ul>';

}

//格式化操作 （已处理）
function formatterOprateParty(val, row) {
	return '<ul class="tool_downs">' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_comment_' + row.ID + '" onclick="btn_comment(\'' + val + '\')" title="评论">评论</a></li>' +
		'</ul>';
}

//格式化操作 （工单催办 超期工单）
function formatterOprateExpedite(val, row) {
	return '<ul class="tool_downs">' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_edit_' + row.ID + '" onclick="btn_edit(\'' + row.ID + '\')" title="修改">修改</a></li>' +
		// '<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_delete_' + row.ID + '" onclick="btn_delete(\'' + row.ID + '\')" title="删除">删除</a></li>' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_remind_' + row.ID + '" onclick="btn_remind(\'' + row.ID + '\')" title="催办">催办</a></li>' +
		'</ul>';
}

//格式化操作 （修改记录）
function formatterOprateLogs(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_deleteLogs_' + row.Id + '" onclick="btn_deleteLogs(' + row.Id + ')" title="删除">删除</a></li>' +
		'</ul>';
}

//格式化操作 （待回访）
function formatterOprateHuiF(val, row) {
	return '<ul class="tool_downs">' +
		'<li><a href="javascript:;" class="aBtn" authorize="yes" id="HY_deleteLogs_' + row.ID + '" onclick="btn_hifang(' + row.ID + ')" title="回访">回访</a></li>' +
		'</ul>';
}
//格式化工单编号
function formatterOrderId(val, row) {
	return '<div class="imgs" ><a class="xg" onclick=btn_detail("' + row.ID + '") >' + val + '</a></div>'
}

//附件下载
function formatfujian(val, row) {
	// alert(JSON.stringify(row.FileUrl.F_FileUrl))
	// return 
	if(row.FileUrl ==null) {
		return '-';
	} else {
		return '<div class="imgs" ><a href="'+ row.FileUrl[0].F_FileUrl +'" class="xg">' + row.FileUrl[0].F_FileName.slice(18) + '</a></div>';
	}
}
// function formaudigong(val,row) {
// 	if(row.FileUrl[0] === null) {
// 		return '-';
// 	} else {
// 		return row;
// 	}
// }
//格式化 工单状态
function formatterState(val) {
	//工单状态0待指派，1待处理，2已处理 原来的状态 不用！！！！
	// 0新工单待指派，1已指派待接单，2已接单待处理，3已退回待处理，4异常退回待处理，5处理中，10已完结
	var stateStr = '-';
	var stateClass = '';
	switch(val) { 
		case 0:
			stateStr = '待指派';
			stateClass = 'audit_wait';
			break;
		case 1:
			stateStr = '待接单';
			stateClass = 'audit_refuse';
			break;
		case 2:
			stateStr = '待处理';
			stateClass = 'audit_revoke';
			break;
		case 3:
			stateStr = '已退回';
			stateClass = 'audit_termination'; 
			break;
		case 4:
			stateStr = '异常退回';
			stateClass = 'audit_termination';
			break;
		case 5:
			stateStr = '处理中';
			stateClass = 'audit_doned';
			break;
		case 10:
			stateStr = '已完结';
			stateClass = 'audit_done';
			break;
		case 12:
			stateStr = '已完结';
			stateClass = 'audit_doneti';
			break;
		default:
			break;
	}

	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}

//格式化 工单有效性
function formatterIsEffective(val) {
	var stateStr = '-';
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case 0:
			stateStr = '有效';
			stateClass = 'audit_done';
			break;
		case 1:
			stateStr = '无效';
			stateClass = 'audit_revoke';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + stateStr + '</div>';
}
// 格式化工单来源
function formatterSource(val){
	var stateClass = '';
	switch(val) { //是否有效工单项(0有效，1无效)
		case '数字化城管':
			stateClass = 'audit_refuse';
			break;
		case '市长专线':
			stateClass = 'audit_refuse';
			break;
		default:
			break;
	}
	return '<div class="' + stateClass + '">' + val + '</div>';
}
//格式化 反馈内容
function formatterDetail(val) {
	if(val) {
		var strD = decodeURIComponent(val);
		strD = helper.filter.filterHTMLTag(strD);
		if(strD.length > 10) {
			strD = strD.substring(0, 10) + '...';
		}
		return strD;
	}
}

//格式化接收人
function formatterAuditUser(val) {
	if(val === "0") {
		return '-';
	} else {
		return val;
	}
}

/**
 * 修改
 * oid工单id
 * isDetail 是否是详情页面的处理
 * */
function btn_edit(oid, isDetail) {
	layer.open({
		type: 2,
		title: '修改工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: '../commonTpl/addOrEditWorkOrder.html?oid=' + oid + '&isDetail=' + isDetail
	});
}
// 回访
   function btn_hifang(oid) {
   	layer.open({
   		type: 2,
   		title: '工单回访',
   		maxmin: true, //开启最大化最小化按钮
   		area: ['70%', '80%'],
   		content: '../commonTpl/LookMessage.html?oid=' + oid
   	});
   }

//function btn_hifang(oid) {
//	layer.prompt({
//		formType: 2,
//		value: '',
//		title: '请输入回访内容',
//		area: ['800px', '240px'] //自定义文本域宽高
//	}, function(value, index, elem) {
//		$.post(huayi.config.callcenter_url + 'WorkOrder/RBakWorkOrder', {
//			orderid: oid,//	工单ID
//			cont: value, // 
//			token: $.cookie("token")
//		}, function(result) {
//			result = $.parseJSON(result);
//			if(result.state.toLowerCase() == "success") {
//				$('#workorderlist').bootstrapTable('refresh');
//				top.workcount();
//				$('.Closed').trigger('click');
//				layer.close(index);
//				layer.msg("回访成功！");
//			}
//		})
//	});
//}
/**
 * 这个是原来的处理 包含转派和处理；已经不用
 * 处理
 * oid 工单ID
 * idDeal 是否待处理的标志
 * isDetail 是否是详情页面的处理
 * proid 项目id
 * */
function btn_deal(oid, isDeal, isDetail, proid) {
	layer.open({
		type: 2,
		title: '处理工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: "../commonTpl/WorkOrderDeal.html?oid=" + oid + "&isDeal=" + isDeal + "&isDetail=" + isDetail + "&proid=" + proid
	});
}

/**
 * 处理(结束)
 * oid 工单ID
 * isDetail 是否是详情页面的处理
 * */
function btn_end(oid, isDetail) {
	layer.open({
		type: 2,
		title: '处理工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: "../commonTpl/WorkOrderEnd.html?oid=" + oid + "&isDetail=" + isDetail,
	});
}

/**
 * 分配
 * oid 工单ID
 * isDetail 是否是详情页面的处理
 * proid 项目id
 * */
function btn_transfer(oid, isDetail, proid) {
	layer.open({
		type: 2,
		title: '分配工单',
		maxmin: true, //开启最大化最小化按钮
		area: ['80%', '90%'],
		content: "../commonTpl/WorkOrderTransfer.html?oid=" + oid + "&isDetail=" + isDetail + "&proid=" + proid,
	});
}

//接单
function btn_receive(oid) {
	layer.confirm('您确认要接单吗？', {
		icon: 7,
		btn: ['接单', '取消'] //按钮
	}, function() {
		$.post(huayi.config.callcenter_url + 'WorkOrder/SureWorkOrder', {
			orderid: oid,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.msg("接单成功");
			}
		})
	});
}

//退回
function btn_back(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入退回原因',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrder/backWorkOrder', {
			orderid: oid,//	工单ID
			cont: value, // 退回原因
			type: 0, // 0退回，1异常退回
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
				layer.msg("退回成功！");
			}
		})
	});
}

//异常退回
function btn_abnormal_back(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入异常退回原因',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrder/backWorkOrder', {
			orderid: oid,//	工单ID
			cont: value, // 退回原因
			type: 1, // 0退回，1异常退回
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
				layer.msg("退回成功！");
			}
		})
	});
}

//审核
function btn_auditor(oid) {
	layer.confirm('确认要审核通过该工单吗？', {
			icon: 7,
			btn: ['有效', '无效'] //按钮
		}, function() {
			auditWorkOrder(oid, 0);
			layer.msg("审核成功！");
		},
		function() {
			layer.prompt({
				formType: 2,
				value: '',
				title: '无效原因',
				area: ['600px', '200px'] //自定义文本域宽高
			}, function(value, index, elem) {
				auditWorkOrder(oid, 1, value);
				layer.close(index);
				layer.msg("审核成功！");
			});
		});
}

/**
 * 审核
 * oid 工单id
 * isvalid 0有效，1无效
 * oval 不通过原因
 * */
function auditWorkOrder(oid, isvalid, oval) {
	$.post(huayi.config.callcenter_url + 'WorkOrder/AuditWorkOrder', {
		orderid: oid,
		iseffective: isvalid, //否	int	工单有效性 默认0 是否有效工单项(0有效，1无效)
		note: oval, //	否	string	无效原因
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			$('#workorderlist').bootstrapTable('refresh');
			top.workcount();
			$('.Closed').trigger('click');
		}
	});
}

//评论
function btn_comment(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入评论内容',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrder/AddWorkOrderComment', {
			orderid: oid,
			cont: value,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("评论工单成功！");
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		})

	});
}

//催办
function btn_remind(oid) {
	layer.prompt({
		formType: 2,
		value: '',
		title: '请输入催办内容',
		area: ['800px', '240px'] //自定义文本域宽高
	}, function(value, index, elem) {
		$.post(huayi.config.callcenter_url + 'WorkOrder/AddWorkOrderRemind', {
			orderid: oid,
			cont: value,
			token: $.cookie("token")
		}, function(result) {
			result = $.parseJSON(result);
			if(result.state.toLowerCase() == "success") {
				layer.msg("催办工单成功！");
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		})
	});
}

//删除
function btn_delete(oid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "WorkOrder/DelWorkOrder",
			dataType: 'json',
			async: true,
			data: {
				ids: oid,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#workorderlist').bootstrapTable('refresh');
				top.workcount();
				$('.Closed').trigger('click');
				layer.close(index);
			}
		});
	});
}

//修改记录删除
function btn_deleteLogs(oid) {
	layer.confirm('确定删除当前记录？', {
		icon: 7,
		btn: ['是', '否'] //按钮
	}, function(index) {
		/*执行删除*/
		$.ajax({
			type: "post",
			url: huayi.config.callcenter_url + "WorkOrderLogs/Delete",
			dataType: 'json',
			async: true,
			data: {
				ids: oid,
				token: $.cookie("token")
			},
			success: function(data) {
				layer.msg("删除成功！");
				$('#itemTableList4').bootstrapTable('refresh');
				layer.close(index);
			}
		});
	});
}

/**
 * 查看详情
 * oid 工单id
 * isCallScreen 是否是来单弹屏中的工单详情
 * */
function btn_detail(oid, isCallScreen) {
	detailOrderNum = oid;
	if(!isCallScreen){
//		$('#order_details').load('./template/orderDetails.html');
			layer.open({
			type: 2,
			title: '工单详情',
			maxmin: true, //开启最大化最小化按钮
			area: ['80%', '70%'],
			content: './template/orderDetails.html?Str='+detailOrderNum, 
		});
	}else{
		$('#order_details').load('../WorkOrder/template/orderDetails.html');
	}
//	$("#order_details").removeClass("Hidens");
}

//获取工单详情
function getWorkOrderDetails(detailOrderNum) {
	$.getJSON(huayi.config.callcenter_url + 'WorkOrder/GetWorkOrder', {
		"orderid": detailOrderNum,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			if(result.data.data && result.data.data.length > 0) {
				var data = result.data.data[0];
				$("#xq_gdbh").text(data.WorkOrderID);
				$("#xq_gdlx").text(data.GDLXName); //工单类型
				$("#xq_cjsj").text(data.CreateTime); //创建时间
				$("#xq_gdzt").html(formatterState(data.State)); //工单状态
				$("#xq_khxm").text(data.Customer); //客户姓名
				$("#xq_khdh").text(data.CustomerTel); //客户电话
				$("#xq_company").text(data.County); //公司名称

				$("#xq_iseffective").html(formatterIsEffective(data.IsEffective)); //工单有效性
				$("#xq_source").html(formatterSource(data.GDLYName)); //工单来源
				$('#xq_handle').text(data.YWLXName); //业务办理（业务类型）	
				$("#xq_fkdep").text(data.ResponDeptName); //接收部门
				$("#xq_responseUser").text(data.AuditUserNameRel); //接收人
				$("#xq_zxgh").text(data.CreateUserName1); //创建人
				$("#xq_clcontent").text(data.clcontent); //处理内容
				$("#xq_gdnr").html(decodeURIComponent(data.Detail)); //反馈内容
				if(data.IsEffective === 0) {
					$('.xq_notes').hide();
				} else {
					$('.xq_notes').show();
					$("#xq_note").text(data.Province); //无效原因
				}

			}
		}
	});
}
// 获取附件信息
function getWorkOrderDe(wid) {
	$.getJSON(huayi.config.callcenter_url + 'WorkOrder/GetWorkOrder', {
		'orderid': wid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			var con = result;
			if (con) {			
				$("#fileList").empty();
				var proimglist = con.data.ResultFileUrl;
				if (proimglist && proimglist.length > 0) {
					$(proimglist).each(function(i, n) {
						var fileType = n.F_FileType;
						var fileType1 = n.F_FileType.split("\/")[0];
						if (fileType === '.jpg'||fileType === '.png'||fileType1==='image') {
							$('<div class="img-box">' +
								'<span class="img_mask"><span onclick=downloadFile("'+ n.F_FileUrl + '","' + n.F_FileName + '","' + n.F_FileType +
								'") title="点击下载"><i class="fa fa-download" aria-hidden="true"></i></span></span>' +
								'<img layer-src="' + n.F_FileUrl + '" src="' + n.F_FileUrl + '" alt="' + n.F_FileName +
								'" class="image-item" /><div>').appendTo("#fileList");
						} else {
							$('<div class="img-box">' +
								'<span class="img_mask"><span href="javascript:;" onclick=downloadFile("' +  n.F_FileUrl + '","' + n.F_FileName +
								'","' + n.F_FileType +
								'") title="点击下载"><i class="fa fa-download" aria-hidden="true"></i></span></span>' +
								'<span class="img_filename">'+n.F_OriName + n.F_FileName.split(".")[1] + '</span><div>').appendTo("#fileList");
						}
					});
					layer.photos({
						photos: '#fileList',
						anim: 5, //0-6的选择，指定弹出图片动画类型，默认随机（请注意，3.0之前的版本用shift参数）
						title: '查看图片',
						move: '.layui-layer-title',
						shadeClose: false,
						closeBtn: 1,
						area: ['80%', '90%'],
						tab: function(pic, layero) {
							$('.layui-layer-content').on("mousewheel", function(e, d) {
								
								helper.methods.zoomImg($('#layui-layer-photos').find('img[alt="' + pic.alt + '"]'), d);
								$('#layui-layer-photos').find('img[alt="' + pic.alt + '"]').dragging({
									move: "both", //拖动方向，x y both
									randomPosition: false //初始位置是否随机
								});
								return false;
								
							});
							helper.methods.initLayerPhotos('#layui-layer-photos', pic, layero);
						},
					});
				}
				
			}
		}
	});
}

//下载
function downloadFile(data, strFileName, strMimeType) {
	event.preventDefault();
	//详细见文档 http://danml.com/download.html
	var x = new XMLHttpRequest();
	x.open("GET", data, true);
	x.responseType = 'blob';
	x.onload = function(e) {
		download(x.response, strFileName, strMimeType);
	}
	x.send();
}
//获取修改记录
function initTableLogs() {
	//先销毁表格
	$('#itemTableList4').bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	$("#itemTableList4").bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrderLogs/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //否	int	当前页
				pagesize: params.pageSize, //否	int	每页数
				orderid: $("#xq_gdbh").text(), //否	string 工单编号
				//keyword: detailOrderNum, //否	string	模糊搜索（之前反馈内容，修改的反馈内容，工单编号）
				//starttime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0], //否	string	工单起止时间
				//endtime: $('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1], //否	string	工单起止时间
				token: $.cookie("token"),
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
			authorizeOperateButton();
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//获取 处理记录 催办记录 评论记录
function getItemList(type,detailOrderNum) {
	//先销毁表格
	var table = $("#itemTableList" + type);
	table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "WorkOrder/GetItemList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber,
				pagesize: params.pageSize,
				type: type,
				// id: $("#xq_gdbh").text(), // 工单编号
				orderid: detailOrderNum, // 工单ID
				token: $.cookie("token")
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}

//格式化处理详情
function formatterDealDetail(val, row) {
	var str = '';
	if(!row.IsLast && !row.DealTime && !row.SureUserName && !row.ToDeptName){
		str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 创建了工单。" + "<br>";
	}
	if(row.IsLast) {
		str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 完结工单。" + "<br>";
	}
	if(row.DealTime) {
		str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 处理工单：" + "<br>";
		str = str + row.Detail + "<br>";
	}
	if(row.SureUserName) {
		str = str + formatterUserName(row.SureUser, row.SureUserName) + " 接单。" + "<br>";
	}
	
	if(row.ToDeptName) {
		if(row.State != 6){
			str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 指派工单给 " + row.ToDeptName + "：";
			if(row.ToUserName) {
				str = str + formatterUserName(row.ToUser, row.ToUserName);
			}
		}
		if(row.State === 6){
			str = str +  row.ToDeptName + "：" + formatterUserName(row.ToUser, row.ToUserName)  + " 将工单退回给 " + formatterUserName(row.CreateUser, row.CreateUserName);
		}
		str = str + "<br>";
	}
	
	if(row.IsStart) {
		str = str + formatterUserName(row.CreateUser, row.CreateUserName) + " 重新开启工单。" + "<br>";
	}
	return str;
}

/**
 * 格式化名称 返回(8000)管理员
 * @user_code 工号
 * @user_name 名称
 * */
function formatterUserName(user_code, user_name){
	var str = '';
	if(user_code){
		str = '(' + user_code + ')' + user_name; 
	}else{
		str = user_name;
	}
	return str;
}

function dcexcel(obj) {
	var orderMenu = top.$("iframe:visible")[0].src.split('/WorkOrder/')[1];
	//console.log(orderMenu);
	//工单状态(0待指派 1待接单的 2待完成的(待处理) 3已完成的 4我参与的 5超期工单)
	var ltype = ''; //否	string	工单状态
	var isaudit = '-1'; //微信列表（0未审核微信列表，1已审核微信列表）
	switch(orderMenu) {
		case "WorkOrderAppoint.html": //待指派
			ltype = '0';
			break;
		case "WorkOrderReceive.html": //待接单
			ltype = '1';
			break;
		case "WorkOrderDispose.html": //待处理
			ltype = '2';
			break;
		case "WorkOrderParty.html": //已处理
			ltype = '3';
			break;
		case "WorkOrderPartake.html": //已参与
			ltype = '4';
			break;
		case "WorkOrderOverdue.html": //超期
			ltype = '5';
			break;
		case "WorkOrderWchartList.html": //微信工单
			isaudit = '0';
			break;
		default:
			break;
	}

	var url = huayi.config.callcenter_url + "WorkOrder/ExportList?token=" + $.cookie("token");
	url += "&keyword=" + $("#sc_key").val();
	url += "&ltype=" + ltype;
	url += "&states=" + $('#sc_state').val();
	url += "&type=" + $("#sc_source").val();
	url += "&typeclass=" + $("#sc_type").val();
	url += "&starttime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0]);
	url += "&endtime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1]);
	url += "&areaid=" + $("#sc_rengin").val();
	url += "&regionid=" + $("#sc_pro").val();
	url += "&buldingid=" + $("#sc_floor").val();
	url += "&isaudit=" + isaudit;
	obj.href = url;
}

//催办的 导出
function dcexcels(obj) {
	var url = huayi.config.callcenter_url + "WorkOrder/ExportList?token=" + $.cookie("token");
	url += "&keyword=" + $("#sc_key").val();
	url += "&type=" + $("#sc_source").val();
	url += "&typeclass=" + $("#sc_type").val();
	url += "&starttime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[0]);
	url += "&endtime=" + ($('#sc_time').val() && $('#sc_time').val().split(' ~ ')[1]);
	url += "&areaid=" + $("#sc_rengin").val();
	url += "&regionid=" + $("#sc_pro").val();
	url += "&buldingid=" + $("#sc_floor").val();
	obj.href = url;
}
